<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Api;

use Aheadworks\Followupemail2\Api\Data\EventHistoryInterface;

/**
 * Interface EventHistoryManagementInterface
 * @package Aheadworks\Followupemail2\Api
 * @api
 */
interface EventHistoryManagementInterface
{
    /**
     * Add event data to event history
     *
     * @param string $eventCode
     * @param array $eventData
     * @return bool
     */
    public function addEvent($eventCode, $eventData);

    /**
     * Process unprocessed event history items
     *
     * @param int $maxItemsCount
     * @return bool
     */
    public function processUnprocessedItems($maxItemsCount);
}
