<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Model\Source\Event;

use Aheadworks\Followupemail2\Model\Event\LifetimeCondition;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class LifetimeConditions
 * @package Aheadworks\Followupemail2\Model\Source\Event
 */
class LifetimeConditions implements OptionSourceInterface
{
    /**
     * @var LifetimeCondition
     */
    private $lifetimeCondition;

    /**
     * @param LifetimeCondition $lifetimeCondition
     */
    public function __construct(
        LifetimeCondition $lifetimeCondition
    ) {
        $this->lifetimeCondition = $lifetimeCondition;
    }

    /**
     * {@inheritdoc}
     */
    public function toOptionArray()
    {
        $options = [];
        $conditionOptions = $this->lifetimeCondition->getDefaultOptions();

        foreach ($conditionOptions as $optionValue => $optionLabel) {
            $options[] = [
                'value' => $optionValue,
                'label' => $optionLabel
            ];
        }

        return $options;
    }
}
